Debian Bug report logs - #713072
ITP: musl -- musl standard C library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Kevin Bortis <pkgs@bortis.ch>

Date: Sat, 22 Jun 2013 10:21:07 UTC

Owned by: Kevin Bortis <pkgs@bortis.ch>

Severity: wishlist

Fixed in version musl/0.9.13-3

Done: Kevin Bortis <pkgs@bortis.ch>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#713072; Package wnpp. (Sat, 22 Jun 2013 10:21:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Bortis <pkgs@bortis.ch>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 22 Jun 2013 10:21:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kevin Bortis <pkgs@bortis.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: musl -- musl standard C library
Date: Sat, 22 Jun 2013 12:20:05 +0200
Package: wnpp
Severity: wishlist
Owner: Kevin Bortis <pkgs@bortis.ch>

* Package name    : musl
  Version         : 0.9.10
  Upstream Author : Rich Felker <dalias@aerifal.cx>
* URL             : http://www.musl-libc.org
* License         : MIT/X
  Programming Lang: C
  Description     : musl standard C library

musl is lightweight, fast, simple, free and strives to be correct in the sense of standards-conformance and safety.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#713072; Package wnpp. (Sun, 23 Jun 2013 15:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Bortis <pkgs@bortis.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Jun 2013 15:45:07 GMT) Full text and rfc822 format available.

Message #10 received at 713072@bugs.debian.org (full text, mbox):

From: Kevin Bortis <pkgs@bortis.ch>
To: 713072@bugs.debian.org
Subject: Preliminary, but fully working packaging for musl-0.9.10
Date: Sun, 23 Jun 2013 17:41:08 +0200
https://github.com/wermut/musl
https://github.com/wermut/musl.git

Works currently with musl-0.9.10:
http://www.musl-libc.org/releases/musl-0.9.10.tar.gz



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kevin Bortis <pkgs@bortis.ch>:
Bug#713072; Package wnpp. (Sun, 30 Jun 2013 16:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Bortis <kevin@bortis.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kevin Bortis <pkgs@bortis.ch>. (Sun, 30 Jun 2013 16:33:07 GMT) Full text and rfc822 format available.

Message #15 received at 713072@bugs.debian.org (full text, mbox):

From: Kevin Bortis <kevin@bortis.ch>
To: 713072@bugs.debian.org
Subject: Updated to upstream version 0.9.11
Date: Sun, 30 Jun 2013 18:31:06 +0200
[Message part 1 (text/plain, inline)]
Repository: https://github.com/wermut/musl

Release tag: https://github.com/wermut/musl/tree/debian/0.9.11-1

Works with musl-0.9.11:
http://www.musl-libc.org/releases/musl-0.9.11.tar.gz
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Kevin Bortis <pkgs@bortis.ch>:
Bug#713072; Package wnpp. (Wed, 04 Sep 2013 13:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kevin Bortis <kevin@bortis.ch>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Kevin Bortis <pkgs@bortis.ch>. (Wed, 04 Sep 2013 13:39:04 GMT) Full text and rfc822 format available.

Message #20 received at 713072@bugs.debian.org (full text, mbox):

From: Kevin Bortis <kevin@bortis.ch>
To: 713072@bugs.debian.org
Subject: Updated to upstream version 0.9.13
Date: Wed, 4 Sep 2013 15:37:02 +0200
Repository: https://github.com/wermut/musl

Release tag: https://github.com/wermut/musl/tree/debian/0.9.13-1

Works with musl-0.9.13:
http://www.musl-libc.org/releases/musl-0.9.13.tar.gz

PS: I still need a sponsor for this package.



Added blocking bug(s) of 713072: 721839 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 04 Sep 2013 16:27:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 21 Sep 2013 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to Kevin Bortis <pkgs@bortis.ch>:
You have taken responsibility. (Sun, 22 Sep 2013 04:03:12 GMT) Full text and rfc822 format available.

Notification sent to Kevin Bortis <pkgs@bortis.ch>:
Bug acknowledged by developer. (Sun, 22 Sep 2013 04:03:12 GMT) Full text and rfc822 format available.

Message #29 received at 713072-close@bugs.debian.org (full text, mbox):

From: Kevin Bortis <pkgs@bortis.ch>
To: 713072-close@bugs.debian.org
Subject: Bug#713072: fixed in musl 0.9.13-3
Date: Sun, 22 Sep 2013 04:00:18 +0000
Source: musl
Source-Version: 0.9.13-3

We believe that the bug you reported is fixed in the latest version of
musl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 713072@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kevin Bortis <pkgs@bortis.ch> (supplier of updated musl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 20 Sep 2013 20:54:14 +0200
Source: musl
Binary: musl musl-dev musl-tools
Architecture: source amd64
Version: 0.9.13-3
Distribution: unstable
Urgency: low
Maintainer: Kevin Bortis <pkgs@bortis.ch>
Changed-By: Kevin Bortis <pkgs@bortis.ch>
Description: 
 musl       - standard C library
 musl-dev   - standard C library development files
 musl-tools - standard C library tools
Closes: 713072
Changes: 
 musl (0.9.13-3) unstable; urgency=low
 .
   * Ready for Debian upload  (Closes: #713072)
   * Respect user set CC
   * Reworked package according to feedback gven
     by Anton Gladky. See #721839 for reference.
   * Reworked debian/copyright file according to
     feedback given by Paul Richards Tagliamonte
Checksums-Sha1: 
 38b5b5ec10d7b40bc8aa6c320f3c5ac44f2a58fc 1838 musl_0.9.13-3.dsc
 7f25f422aca845052d0034d3aa45a9f671181f41 834456 musl_0.9.13.orig.tar.gz
 6c31a5769e054e7de2da9a0c0ee48b8a9d6004d8 7033 musl_0.9.13-3.debian.tar.gz
 91b50b81ae73f162a9e62a23fab89b4bbd6dee5a 302554 musl_0.9.13-3_amd64.deb
 19cfa25d0e2eb7da33fba80b49e5c9122b5dde06 433042 musl-dev_0.9.13-3_amd64.deb
 f3995c1e162cd659540e9a1c855d176913aafc49 5590 musl-tools_0.9.13-3_amd64.deb
Checksums-Sha256: 
 46ac965e41ff8b493fea8bd2dc73054a9f603f918899bfca47545a3d16604b74 1838 musl_0.9.13-3.dsc
 9ad29ff43dd767956280e58229fd5ae2ff0f3cec026063b381a72d1b743428e5 834456 musl_0.9.13.orig.tar.gz
 b25f086012d8b8f5563aea07ed5a44c6c2b9f1109e960ff3922f7819770e5be4 7033 musl_0.9.13-3.debian.tar.gz
 0d5603681c348468862fc675c4fb67a819f67b22fecfb43a8f2e9bc1172e242a 302554 musl_0.9.13-3_amd64.deb
 bcec664f56f1a1c2c665c8c1ab2bfe594f700e9bb8c79e4ca7ff85f1dc737186 433042 musl-dev_0.9.13-3_amd64.deb
 a544a738e4af161ded42b0f95109e9ba1a3aaba1b383600bbf62f129978f2a43 5590 musl-tools_0.9.13-3_amd64.deb
Files: 
 53da6916d10cf717b20d529a0dc52e2c 1838 libs extra musl_0.9.13-3.dsc
 6af97d6157a2f4ee7a17af2316389fd7 834456 libs extra musl_0.9.13.orig.tar.gz
 e0361d9b3c9384d48234bab83d259e9e 7033 libs extra musl_0.9.13-3.debian.tar.gz
 b3088be913e319f173adc89068f9c9ad 302554 libs extra musl_0.9.13-3_amd64.deb
 f09f523c695d91a5bbfc9228033e848b 433042 libs extra musl-dev_0.9.13-3_amd64.deb
 ece5dbafce62888d859b8f2f602e28ea 5590 libs extra musl-tools_0.9.13-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iQIcBAEBAgAGBQJSPYzkAAoJENPhc4PPp/8GdcMP/ieXsuEIO8MHaHmfQ+Wfl/kV
y93oe/8FxKKUJqkW6ZH2z6pWnsdJw1evOFXI+RSyg8AAn/ttd/xx1yTZ0RU0BasA
ZYlWiZgOamamjb/vSSRbPRjELQcH4rruME/EOcfIS5ag/5MOhW5SaU3ab5dbi+zy
cNGytuBlx/3JT6SL10xLAjYQ7UeWMOiHmChSYuTE5Uz70nrpBzcuk6euvJd3hD9N
6K4yCSrDt43WLH4v0k7LGBodm9XN39+w2S9zm3DsV5ZBxcGY03vzwUIf8SjgxJZq
PRbiP/05ctRS6eXhgScuOxxgiOT9RUU3EXtpLN2zxD9+3tmw5wTf7OgRuMFlT57d
CH8GScpCFYblcBj5RY5PSfX6XhRPZaJQl/kKLUvo/iVvzn9knr95q8TV35qsP2h1
l05a0+8iBC8vxBgjgNotaPzVROmZ46gbR5theFiqEZReuBJzKBKVPnU9ixVA309v
r//iKrDIHbGj2mDh0LQOE1pLImwtZMKnLK0Hc18Zgf7gNk3cEXk3S044GaTAtdgM
njfUjnnhD6J2PZyg60vvSBCcFbL1i7bpnB4DK1o2oYYn43yrUHJfLh/eMWlgUN9G
iqOJgCtWT0p1U6tiRxQRqe5HckVCo8LM3uKaAFI5iDYz1nPfBPnvjgYtC/elzJ2A
mMjngEKtQoR/Q31vMEZc
=uCTW
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Oct 2013 07:38:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:44:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.